Friday, September 18, 2020
yunohost@conference.lightwitch.org
September
Mon Tue Wed Thu Fri Sat Sun
  1
2
3
4
5
6
7
8
9
10
11
12
13
14
15
16
17
18
19
20
21
22
23
24
25
26
27
28
29
30
       
             
YunoHost support room | Don't ask to ask, just ask ! | Be patient and stay polite with everybody (this is a free software project ran by volunteers) | No answer? Post on the forum: https://forum.yunohost.org | This room is mirrored via Echo1 | Donate: https://liberapay.com/YunoHost

[06:38:57] <irc> <Guiliboy> Bonjour, aujourd'hui il m'est impossible de mettre à jour Yunohost. Pouvez vous m'aider ?
[06:40:58] <irc> <Guiliboy> https://paste.yunohost.org/raw/apuwiyuyoc
[06:41:52] <irc> <kidon[m]> Bonjour
[06:42:03] <irc> <kidon[m]> Ah, je peux aider
[06:42:14] <irc> <kidon[m]> `YunohostError: Votre système n'est pas entièrement à jour. Veuillez effectuer une mise à jour normale avant de lancer la migration vers Buster. `
[06:42:50] <irc> <kidon[m]> Tu dois d'abord mettre à jour les éléments de ton système depuis l'interface
[06:44:05] <irc> <kidon[m]> Interface admin --> Mettre à jour le système
[06:44:35] <irc> <kidon[m]> --> Mettre à jour tous les paquets
[06:52:46] <irc> <Guiliboy> C'est fait. Seule la mise à jour yunohost (de 3.8.5.7 à 3.8.5.9) ne fonctionne pas car elle demande la migration avant.
[06:53:12] <irc> <Guiliboy> Et la migration ne fonctionne pas
[06:54:26] <irc> <kidon[m]> En théorie je dirais qu'il faut d'abord faire la ou les mineurs avant de passer à 4
[07:03:44] <irc> <kidon[m]> Peux tu lancer cette commande : `cat /etc/*-release` ?
[07:03:52] <irc> <kidon[m]> depuis un terminal
[07:10:43] <irc> <kidon[m]> C'est la seule fois où tu as essayé de faire la mise à jour ?
[07:17:54] <irc> <Guiliboy> Non j'ai déjà essayé déjà une fois
[07:19:42] <irc> <kidon[m]> Tu peux taper la command en ssh ?
[07:19:47] <irc> <kidon[m]> Commande *
[07:24:16] <irc> <Guiliboy> c'est fait mais je n'arrive pas à te copier la réponse
[07:24:24] <irc> <Guiliboy> PRETTY_NAME="Debian GNU/Linux 9 (stretch)"
[07:24:30] <irc> <Guiliboy> NAME="Debian GNU/Linux"
[07:24:37] <irc> <Guiliboy> VERSION_ID="9"
[07:24:43] <irc> <Guiliboy> VERSION="9 (stretch)"
[07:24:48] <irc> <Guiliboy> VERSION_CODENAME=stretch
[07:24:54] <irc> <Guiliboy> ID=debian
[07:25:00] <irc> <Guiliboy> HOME_URL="https://www.debian.org/"
[07:25:06] <irc> <Guiliboy> SUPPORT_URL="https://www.debian.org/support"
[07:25:12] <irc> <Guiliboy> BUG_REPORT_URL="https://bugs.debian.org/"
[08:01:21] <irc> <Guiliboy> Rien de neuf ?
[08:01:52] <irc> <Guiliboy> Je pense devoir mettre à niveau stretch vers Buster
[08:03:31] <irc> <kidon[m]> Non moi je ne peux aider plus
[08:03:31] <irc> <kidon[m]> Mai d'autres le peuvent ici, c'est sur
[08:03:31] <irc> <kidon[m]> Tu devras juste attendre qu'ils voient ton message :)
[08:04:47] <irc> <kayou[m]> salut
[08:04:50] <irc> <kayou[m]> Guiliboy: hmm, quand tu fais `sudo apt update` ça dit quoi?
[08:11:45] <irc> <Guiliboy> kodon: merci
[08:13:07] <irc> <Guiliboy> Bonjour Kayou
[08:13:53] <irc> <Guiliboy> avec sudo apt update il lance la vérification
[08:14:09] <irc> <Guiliboy> des list
[08:14:56] <irc> <kayou[m]> oui mais il y a bien des `is configured multiple times`?
[08:15:15] <irc> <kayou[m]> lié au fichier `/etc/apt/sources.list.d/php7.list`
[08:16:11] <irc> <Guiliboy> Oui
[08:16:50] <irc> <Guiliboy> Pour info le php7 ne se connecte plus...
[08:17:07] <irc> <kayou[m]> bon essaye de déplacer ce fichier (dans un premier temps, il pourra être supprimé ensuite si ça fonctionne).
[08:17:07] <irc> <kayou[m]> `sudo mv /etc/apt/sources.list.d/php7.list ~/
[08:17:11] <irc> <kayou[m]> * bon essaye de déplacer ce fichier (dans un premier temps, il pourra être supprimé ensuite si ça fonctionne).
[08:17:11] <irc> <kayou[m]> `sudo mv /etc/apt/sources.list.d/php7.list ~/`
[08:17:44] <irc> <Guiliboy> Puis
[08:17:45] <irc> <Guiliboy> ?
[08:18:33] <irc> <kayou[m]> refais cette commande et si il n'y a plus d'erreur retest une migration :-)
[08:19:46] <irc> <Guiliboy> https://paste.yunohost.org/raw/acabajuhef
[08:20:18] <irc> <Guiliboy> pas d'erreur à l'update mais à la migration oui
[08:21:09] <irc> <Guiliboy> 1 package can be upgraded. Run 'apt list --upgradable' to see it.
[08:21:37] <irc> <kayou[m]> ha oui, donc là il faut faire un `sudo apt upgrade` pour mettre à jour le système
[08:22:02] <irc> <kayou[m]> (cette mise à jour été bloquée à cause de ce fameux fichier php7.list
[08:25:12] <irc> <Guiliboy> ● php7.0-fpm.service - The PHP 7.0 FastCGI Process Manager
[08:25:22] <irc> <Guiliboy> Loaded: loaded (/lib/systemd/system/php7.0-fpm.service; enabled; vendor preset: enabled)
[08:25:22] <irc> <Guiliboy> Active: failed (Result: exit-code) since Fri 2020-09-18 08:22:07 UTC; 6ms ago
[08:25:35] <irc> <Guiliboy> man:php-fpm7.0(8)
[08:25:35] <irc> <Guiliboy> Process: 8211 ExecStopPost=/usr/lib/php/php-fpm-socket-helper remove /run/php/php-fpm.sock /etc/php/7.0/fpm/pool.d/www.conf 70 (code=exited, status=0/SUCCESS)
[08:25:36] <irc> <Guiliboy> Process: 8208 ExecStart=/usr/sbin/php-fpm7.0 --nodaemonize --fpm-config /etc/php/7.0/fpm/php-fpm.conf (code=exited, status=78)
[08:25:36] <irc> <Guiliboy> Main PID: 8208 (code=exited, status=78)
[08:26:06] <irc> <Guiliboy> 18 08:22:07 eeni.eu systemd[1]: php7.0-fpm.service: Main process exited, code=exited, status=78/n/a
[08:26:07] <irc> <Guiliboy> Sep 18 08:22:07 eeni.eu systemd[1]: Failed to start The PHP 7.0 FastCGI Process Manager.
[08:26:07] <irc> <Guiliboy> Sep 18 08:22:07 eeni.eu systemd[1]: php7.0-fpm.service: Unit entered failed state.
[08:26:26] <irc> <Guiliboy> PHP 7 semble créer des problèmes
[08:26:53] <irc> <kayou[m]> effectivement
[08:27:14] <irc> <kayou[m]> un restart de php7.0-fpm ne fonctionne pas?
[08:27:59] <irc> <Guiliboy> non
[08:31:48] <irc> <Guiliboy> Il semble coincé par snipeIT que j'ai desinstallé il y a quelques temps
[08:32:10] <irc> <kayou[m]> dans les logs on peut voir quelque chose?
[08:32:31] <irc> <kayou[m]> `sudo journalctl -u php7.0-fpm`
[08:33:43] <irc> <Guiliboy> ERROR: failed to post process the configuration
[08:33:44] <irc> <Guiliboy> [18-Sep-2020 05:54:31] ERROR: FPM initialization failed
[08:33:44] <irc> <Guiliboy> [18-Sep-2020 06:39:27] ERROR: [pool snipeit] the chdir path '/var/www/snipeit' does not exist or is not a directory
[08:33:44] <irc> <Guiliboy> [18-Sep-2020 06:39:27] ERROR: failed to post process the configuration
[08:33:44] <irc> <Guiliboy> [18-Sep-2020 06:39:27] ERROR: FPM initialization failed
[08:35:01] <irc> <kayou[m]> snipeit s'est mal désinstallé visiblement
[08:35:16] <irc> <kayou[m]> dans `/etc/php/7.0/fpm/pool.d/` il doit y avoir snipeit.conf, c'est bien ça?
[08:35:47] <irc> <Guiliboy> oui
[08:36:24] <irc> <Guiliboy> commnet
[08:36:50] <irc> <Guiliboy> comment le virer ?
[08:37:17] <irc> <kayou[m]> euh, si snipeit n'est plus installé, un rm du fichier devrait fonctionner
[08:37:37] <irc> <Guiliboy> rm ?
[08:37:47] <irc> <kayou[m]> pardon
[08:37:59] <irc> <Guiliboy> lol
[08:38:16] <irc> <kayou[m]> `sudo rm /etc/php/7.0/fpm/pool.d/snipeit.conf`
[08:38:28] <irc> <kayou[m]> ça supprime le fichier
[08:38:41] <irc> <kayou[m]> attention, pas de retour en arrière possible donc faut savoir ce qu'on fait :-)
[08:39:59] <irc> <Guiliboy> Trop cool ça marche !!!
[08:40:00] <irc> <kayou[m]> donc, faut restart php7.0-fpm
[08:40:05] <irc> <kayou[m]> `sudo systemctl restart php7.0-fpm`
[08:40:06] <irc> <kayou[m]> puis
[08:40:11] <irc> <kayou[m]> mettre à jour le système
[08:40:21] <irc> <kayou[m]> `sudo apt upgrade`
[08:40:30] <irc> <kayou[m]> puis lancer la migration
[08:40:38] <irc> <kayou[m]> (via la webadmin c'est plus simple)
[08:44:11] <irc> <Guiliboy> La migration 0015_migrate_to_buster a échoué avec l’exception Votre système n'est pas entièrement à jour. Veuillez effectuer une mise à jour normale avant de lancer la migration vers Buster. : annulation
[08:44:26] <irc> <kayou[m]> /o\
[08:44:30] <irc> <Guiliboy> je suis désolé, c'est d'une erreur à l'autre
[08:44:51] <irc> <kayou[m]> tu as bien fais `sudo apt upgrade`?
[08:44:59] <irc> <Guiliboy> oui
[08:45:19] <irc> <kayou[m]> et ça raconte quoi?
[08:45:19] <irc> <Guiliboy> 0 upgraded, 0 newly installed, 0 to remove and 2 not upgraded.
[08:45:32] <irc> <kayou[m]> ha
[08:45:41] <irc> <kayou[m]> ouais
[08:45:44] <irc> <Guiliboy> loolwsd systemplate
[08:45:44] <irc> <Guiliboy> W: APT had planned for dpkg to do more than it reported back (0 vs 4).
[08:45:44] <irc> <Guiliboy> Affected packages: php7.0-fpm:amd64
[08:46:07] <irc> <kayou[m]> je sais plus comment on fait en cli
[08:46:15] <irc> <kayou[m]> via la webadmin, ce sera plus simple aussi
[08:46:34] <irc> <kayou[m]> "Mettre à jour le système"
[08:47:15] <irc> <kayou[m]> dans la partie "Système"
[08:47:50] <irc> <Guiliboy> Oui je demande la mise à jour de Yunohost et il me demande la migration en premier. Puis la migration échoue
[08:47:55] <irc> <kayou[m]> fait que ce soit à jour: "Tous les packages système sont à jour !" sinon -> mettre à jour 😃
[08:48:11] <irc> <kayou[m]> bhaaaa
[08:48:35] <irc> <kayou[m]> jecépa
[08:49:35] <irc> <Guiliboy> C'est bon ça se lance... 🙄
[08:49:46] <irc> <Guiliboy> Merci beaucoup
[08:49:48] <irc> <kayou[m]> wut
[08:49:55] <irc> <kayou[m]> tu as changé quoi?
[08:50:03] <irc> <Guiliboy> rien,
[08:50:10] <irc> <Guiliboy> le karma
[08:50:19] <irc> <kayou[m]> computerz™
[08:50:43] <irc> <Guiliboy> Merci beaucoup
[08:51:07] <irc> <kayou[m]> pas de souci
[08:51:23] <irc> <kayou[m]> dis moi si il y a d'autres soucis
[08:51:39] <irc> <Guiliboy> Bon weekend 🏝
[08:51:47] <irc> <kayou[m]> mais la migration prend du temps si je me souviens bien
[08:52:00] <irc> <kayou[m]> bon weekend également, enjoy YunoHost!
[09:46:59] <irc> <ynhuser|69888> Hi, I installed YunoHost on VirtualBox. I have a problem during the installation, I guess it has something to do with the network info I gave (IP,DNS ...)
[09:48:54] <irc> <ynhuser|69888> I gave the IPv4/DNS I found on cmd when ipconfig/all
[09:50:53] <irc> <ynhuser|69888> The error name is : corrupted mirror
[10:07:29] <irc> <Thatoo[m]> uploaded an image: Capture d’écran du 2020-09-18 12-02-17.png (92KiB) < https://matrix.org/_matrix/media/r0/download/leprette.fr/xdLbCGbUrFznFnhlEJHhPSQk/Capture d’écran du 2020-09-18 12-02-17.png >
[10:08:25] <irc> <kidon[m]> Personne n'a dit que synapse était optimisé \o/
[10:08:48] <irc> <Thatoo[m]> pourquoi CPU est à 99.6% sur la ligne /opt/yunohost/matrix-synapse/bin/python....
[10:08:48] <irc> <Thatoo[m]> mais il est à 27.5% en haut à gauche? et le LoAD est à 1.19?
[10:09:30] <irc> <Thatoo[m]> est-ce que quelqu'un voudrait bien m'expliquer ce que signifient ces nombres?
[10:09:37] <irc> <Thatoo[m]> juste par curiosité
[10:10:03] <irc> <Thatoo[m]> au fait, c'est un screenshot de glances sur yunohost 4 mis à jour avec synapse 18.qqchose
[11:11:38] <irc> <ynhuser|13919> hey all, I have YNH4.0.8 installed with 4 users. And I just installed Wordpress, but the YNH users do not show up in the userlist of WordPress.
[11:12:05] <irc> <ynhuser|13919> What do I need to do to have the same users there, so I can give them the right permissions on WordPress?
[11:18:43] <irc> <ynhuser|13919> I just tested loggin in with a useraccount. SSO didn't work. I had to login to YNH SSO first and then again in Wordpress
[11:19:09] <irc> <ynhuser|13919> I could login, and it seems that then the user was created in WP.
[11:19:29] <irc> <ynhuser|13919> Does this mean all users have to login to WP at least once before I can update their permissions?
[12:08:38] <irc> <isAAAc> i think so yes
[12:12:45] <irc> <ynhuser|13919> :-(
[12:42:22] <irc> <isAAAc> ynhuser|13919: isuggest you to open an issue on https://github.com/YunoHost-Apps/wordpress_ynh (if there isn't already one about this topic)
[12:42:53] <irc> <isAAAc> could be a good improvement is there is no technical issue to do it
[12:44:34] <irc> <isAAAc> ynhuser|13919: something is near on https://github.com/YunoHost-Apps/wordpress_ynh/issues/74
[12:45:21] <irc> <isAAAc> but a new issue should be better for your usecase
[13:37:13] <irc> <nicofrand[m]> Salut ! Je viens de procéder à la màj de Rainloop vai YNH, et plus moyen de me connecter (et y'a une erreur JS au lancement de la page). Chez vous aussi ?
[13:37:48] <irc> <nicofrand[m]> (après avoir vidé le cache etc.)
[13:49:46] <irc> <nicofrand[m]> nevermind, en redémarrant le browser c'est bon… Bizarre
[19:04:18] <irc> <user823:matrix.org> Hi!
How can I make the user interface be avaiable in lan?
I read this: https://yunohost.org/#/users and that I can change it at /etc/host but I don't know how.
[20:31:26] <irc> <dosch[m]> do you mean https://yourdomain.tld/yunohost/sso/ when you say user interface?
[20:50:20] <roy> Does anyone else sometimes get the following diagnosis mailed?
[ERROR] Domain domain.tld appears unreachable through HTTP from outside the local network.
[20:50:57] <roy> It's mostly only one of my (sub)domains
[21:20:55] <irc> <ynhuser|34> bonjour/hello, I'm having difficulties with yunohost VPN, it says: "Failed to start YunoHost VPN Client.."
[21:21:59] <irc> <ynhuser|34> the log itself doesn't help much: https://paste.centos.org/view/d54ab339
[21:22:20] <irc> <ynhuser|34> vpn comes from ARN and worked fine for a year
[22:33:37] <irc> <Aleks[m]> ynhuser|34 : coucou, est-ce que par hasard tu as renouvelé ton VPN ...?
[22:33:41] <irc> <Aleks[m]> (il faut que tu mettes à jour le certif)